Bug 113271 - typo error in calling GenericError causes crash
typo error in calling GenericError causes crash
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-11 14:34 EST by Stefan Sturm
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 00:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Sturm 2004-01-11 14:34:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
Trying to install ogle_gui-0.9.2-1.1.fr.src.rpm cause an error in 
redhat-config-packages. Starting from commandline, I see the following :

Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/SinglePackageWindow.py",
line 254, in
?
    main_window.run()
  File "/usr/share/redhat-config-packages/SinglePackageWindow.py",
line 217, in
run
    self.do_package_check ()
  File "/usr/share/redhat-config-packages/SinglePackageWindow.py",
line 88, in do_package_check
    _("Source RPM") %(file,),
TypeError: not all arguments converted


Looking at line 88, I noticed a typo-error :
 
                              _("Source RPM") %(file,),

which should be 

                              _("Source RPM"),

After update, It works. Or rather, It starts and stops with an error ;-)



Version-Release number of selected component (if applicable):
1.1.9

How reproducible:
Always

Steps to Reproduce:
1.Just run with this package
Comment 1 Jeremy Katz 2004-01-13 15:11:21 EST
Fixed in CVS
Comment 2 John Thacker 2006-04-22 00:23:34 EDT
Long fixed, RH 9 not supported except in Fedora Legacy, and s-c-p isn't shipped
anymore.  (Pirut replaced s-c-p.)  Closing.

Note You need to log in before you can comment on or make changes to this bug.